<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.BaseDeviceAttributeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.BaseDeviceAttribute">
        <id column="id" property="id" />
        <result column="device_code" property="deviceCode" />
        <result column="device_id" property="deviceId" />
        <result column="ports" property="ports" />
        <result column="port_type" property="portType" />
        <result column="system_type" property="systemType" />
        <result column="level_type" property="levelType" />
        <result column="high_level_name" property="highLevelName" />
        <result column="low_level_name" property="lowLevelName" />
        <result column="port_code" property="portCode" />
        <result column="port_name" property="portName" />
        <result column="analog_quantity_parameter" property="analogQuantityParameter" />
        <result column="analog_alarm_upper" property="analogAlarmUpper" />
        <result column="analog_alarm_lower" property="analogAlarmLower" />
        <result column="range" property="range" />
        <result column="range_upper" property="rangeUpper" />
        <result column="range_lower" property="rangeLower" />
        <result column="output" property="output" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="update_person" property="updatePerson" />
        <result column="creator" property="creator" />
    </resultMap>

</mapper>
